[arch-commits] Commit in xorg-fonts-encodings/repos (3 files)

Eric Bélanger eric at archlinux.org
Thu Apr 23 19:09:31 EDT 2009


    Date: Thursday, April 23, 2009 @ 19:09:30
  Author: eric
Revision: 36498

Merged revisions 356,36497 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/xorg-fonts-encodings/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r36497 | eric | 2009-04-23 19:09:13 -0400 (Thu, 23 Apr 2009) | 2 lines
  
  upgpkg: xorg-fonts-encodings 1.0.2-3
      Added license
........

Modified:
  xorg-fonts-encodings/repos/extra-x86_64/	(properties)
  xorg-fonts-encodings/repos/extra-x86_64/PKGBUILD
  xorg-fonts-encodings/repos/extra-x86_64/xorg-fonts-encodings.install

------------------------------+
 PKGBUILD                     |   10 ++++++----
 xorg-fonts-encodings.install |    5 -----
 2 files changed, 6 insertions(+), 9 deletions(-)


Property changes on: xorg-fonts-encodings/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /xorg-fonts-encodings/trunk:1
   + /xorg-fonts-encodings/trunk:1-36497

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-23 23:09:13 UTC (rev 36497)
+++ extra-x86_64/PKGBUILD	2009-04-23 23:09:30 UTC (rev 36498)
@@ -3,19 +3,21 @@
 
 pkgname=xorg-fonts-encodings
 pkgver=1.0.2
-pkgrel=2
+pkgrel=3
 pkgdesc="X.org font encoding files"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=('xorg-font-utils')
-install="xorg-fonts-encodings.install"
+install=xorg-fonts-encodings.install
 source=(${url}/releases/individual/font/encodings-${pkgver}.tar.bz2)
 md5sums=('11adda157b03d63fd61d95ad7ef00466')
 
 build() {
-  cd ${startdir}/src/encodings-${pkgver}
+  cd ${srcdir}/encodings-${pkgver}
   ./configure --prefix=/usr \
               --with-encodingsdir=/usr/share/fonts/encodings
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }

Modified: extra-x86_64/xorg-fonts-encodings.install
===================================================================
--- extra-x86_64/xorg-fonts-encodings.install	2009-04-23 23:09:13 UTC (rev 36497)
+++ extra-x86_64/xorg-fonts-encodings.install	2009-04-23 23:09:30 UTC (rev 36498)
@@ -1,4 +1,3 @@
-# arg 1:  the new package version
 post_install() {
   echo -n "Regenerating font encodings... "
   pushd usr/share/fonts/encodings &>/dev/null
@@ -10,7 +9,3 @@
 post_upgrade() {
   post_install
 }
-
-op=$1
-shift
-$op $*



More information about the arch-commits mailing list